const express = require('express');
const app = express();

// On a toujours besoin du dossier public (pour le css, etc.)
const path = require('path');
app.use(express.static(path.join(__dirname, 'public')));

// Définition du view engine
app.set('view engine', 'ejs'); // Définition du moteur de rendu
app.set('views', path.join(__dirname, 'views')); // Déclaration du dossier contenant les vues

app.use((req, res) => {
    // demande de rendu EJS
    res.render('pages/home_v2', { user: 'greg' }) ;
});

module.exports = app;